﻿@model Tuple<List<ItemMasterView>, QuickOrderParamsView>
@{
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}

<div class="row">
    <div class="col-sm-12 main side-collapse-container">
        <div class="row">
            <div class="cuadro_search_fifty pull-left">
                <div class="cuadro_preseason_content">
                    <div id="ListTilesDiv1" class="list_products">
                        @foreach (ItemMasterView item in Model.Item1.Where((c, i) => i % 2 != 0))
                        {
                            UnitOfMeasure mDefaultUOM = item.UnitOfMeasureList.Where(k => k.LineNum == 1).FirstOrDefault();
                            ItemPrices mItemPrice = item.ItemPrices.Where(j => j.UOMCode == mDefaultUOM.UomEntry.ToString()).FirstOrDefault();
                            <div class="item_preseason_full">
                                <div class="photo_list">
                                    @if (!string.IsNullOrEmpty(item.PicturName))
                                    {
                                        <img src="../../images/@item.PicturName" />
                                    }
                                    else
                                    {
                                        <img src="~/Content/img/noimage.gif" />
                                    }
                                </div>
                                <div class="caption">
                                    <div class="thumb_data_ampliable">
                                        <a href="#" onclick="$(this).parent().find('.panel_info_preseason').toggleClass('open_info_preseason'); return false;" class="open_panel"><span>More</span></a>
                                        <div class="panel_info_preseason">
                                            <div class="thumb_data"><strong>@QuickOrder.IC:</strong> @item.ItemCode</div>
                                            <div class="thumb_data"><strong>@QuickOrder.TID:</strong> @item.ItemName</div>
                                            <div class="thumb_data"><strong>@QuickOrder.IS:</strong> @(item.Stock != null ? @Math.Round((Double)item.Stock.Available, 0).ToString() : "") </div>
                                            @if (item.MappedUdf.Count > 0)
                                            {
                                                foreach (var DictRow in item.MappedUdf)
                                                {
                                                    <div class="thumb_data">
                                                        @if (DictRow.ListUFD1.Count > 0)
                                                        {
                                                            foreach (var interna in DictRow.ListUFD1)
                                                            {
                                                                if (interna.FldValue == DictRow.Value)
                                                                {
                                                                    <strong>@interna.Descr</strong>
                                                                }
                                                            }
                                                        }
                                                        else
                                                        {
                                                            <strong>@DictRow.UDFDesc:</strong><span> @DictRow.Value</span>
                                                        }
                                                    </div>
                                                }
                                            }
                                        </div>
                                        <div class="preseason_price_full">
                                            @if (item.CostPriceList != null)
                                            {
                                                <div class="col-lg-4 pull-left"><em>Cost Price:</em> @((item.CostPrice != null) ? item.CostPriceCurrency + " " + Math.Round((Double)item.CostPrice, 2).ToString() : "")</div>
                                            }
                                            <div class="col-lg-4 pull-left border_left_compa precio_hide"><em>@QuickOrder.IPR:</em> @(mItemPrice != null ? mItemPrice.Currency + @Math.Round((Double)mItemPrice.Price, 2) : "")</div>
                                        </div>
                                        <div class="preseason_attach">
                                            <div class="col-lg-2 pull-left">
                                                <a onclick="GetStock('@item.ItemCode')" class="btn btn-default btn-md">ATP</a>
                                            </div>
                                            <div class="col-lg-2 pull-left">
                                                <input type="number" id="qty_@item.ItemCode" class="form-control quantityDocuments" value="1" min="1" onchange="LineWasChanged('1'); ChangeValue('1',true); ChangeQuantityValue('1', 'Please enter a number greater than 0');">
                                            </div>
                                            <div class="col-lg-6 pull-left">
                                                <button onclick="addtoCart('@item.ItemCode')" class="btn btn-success btn-md">
                                                    <span class="fa fa-plus-circle"></span>
                                                    @QuickOrder.ATO
                                                </button>
                                            </div>
                                            <div>
                                                @if (_View)
                                                {
                                                    <a target="_blank" href="/MasterData/MasterData/ActionItemMaster?pActionItemMaster=View&pItemCode=@item.ItemCode" class="btn btn-success btn-lg">
                                                        <span class="glyphicon glyphicon-eye-open"></span>
                                                    </a>
                                                }
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        }
                    </div>
                </div>
            </div>
            <div class="cuadro_search_fifty pull-right">
                <div class="cuadro_preseason_content">
                    <div id="ListTilesDiv2" class="list_products">
                        @foreach (ItemMasterView item in Model.Item1.Where((c, i) => i % 2 == 0))
                        {
                            UnitOfMeasure mDefaultUOM = item.UnitOfMeasureList.Where(k => k.LineNum == 1).FirstOrDefault();
                            ItemPrices mItemPrice = item.ItemPrices.Where(j => j.UOMCode == mDefaultUOM.UomEntry.ToString()).FirstOrDefault();
                            <div class="item_preseason_full">
                                <div class="photo_list">
                                    @if (!string.IsNullOrEmpty(item.PicturName))
                                    {
                                        <img src="../../images/@item.PicturName" />
                                    }
                                    else
                                    {
                                        <img src="~/Content/img/noimage.gif" />
                                    }
                                </div>
                                <div class="caption">
                                    <div class="thumb_data_ampliable">
                                        <a href="#" onclick="$(this).parent().find('.panel_info_preseason').toggleClass('open_info_preseason');  return false;" class="open_panel"><span>More</span></a>
                                        <div class="panel_info_preseason">
                                            <div class="thumb_data"><strong>@QuickOrder.IC</strong>: @item.ItemCode</div>
                                            <div class="thumb_data"><strong>@QuickOrder.TID</strong>: @item.ItemName</div>
                                            <div class="thumb_data"><strong>@QuickOrder.IS</strong>: @(item.Stock != null ? @Math.Round((Double)item.Stock.Available, 0).ToString() : "") </div>
                                            @if (item.MappedUdf.Count > 0)
                                            {
                                                foreach (var DictRow in item.MappedUdf)
                                                {
                                                    <div class="thumb_data">
                                                        @if (DictRow.ListUFD1.Count > 0)
                                                        {
                                                            foreach (var interna in DictRow.ListUFD1)
                                                            {
                                                                if (interna.FldValue == DictRow.Value)
                                                                {
                                                                    <strong>@interna.Descr</strong>
                                                                }
                                                            }
                                                        }
                                                        else
                                                        {
                                                            <strong>@DictRow.UDFDesc:</strong><span> @DictRow.Value</span>
                                                        }
                                                    </div>
                                                }
                                            }
                                        </div>
                                        <div class="preseason_price_full">
                                            @if (item.CostPriceList != null)
                                            {
                                                <div class="col-lg-4 pull-left"><em>Cost Price:</em> @((item.CostPrice != null) ? item.CostPriceCurrency + " " + Math.Round((Double)item.CostPrice, 2).ToString() : "")</div>
                                            }
                                            <div class="col-lg-4 pull-left border_left_compa precio_hide"><em>@QuickOrder.IPR:</em> @(mItemPrice != null ? mItemPrice.Currency + @Math.Round((Double)mItemPrice.Price, 2) : "")</div>
                                        </div>
                                        <div class="preseason_attach">
                                            <div class="col-lg-2 pull-left">
                                                <a onclick="GetStock('@item.ItemCode')" class="btn btn-default btn-md">ATP</a>
                                            </div>
                                            <div class="col-lg-2 pull-left">
                                                <input type="number" id="qty_@item.ItemCode" class="form-control quantityDocuments" value="1" min="1" onchange="LineWasChanged('1'); ChangeValue('1',true); ChangeQuantityValue('1', 'Please enter a number greater than 0');">
                                            </div>
                                            <div class="col-lg-6 pull-left">
                                                <button onclick="addtoCart('@item.ItemCode')" class="btn btn-success btn-md">
                                                    <span class="fa fa-plus-circle"></span>
                                                    @QuickOrder.ATO
                                                </button>
                                            </div>
                                            <div>
                                                @if (_View)
                                                {
                                                    <a target="_blank" href="/MasterData/MasterData/ActionItemMaster?pActionItemMaster=View&pItemCode=@item.ItemCode" class="btn btn-success btn-lg">
                                                        <span class="glyphicon glyphicon-eye-open"></span>
                                                    </a>
                                                }
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        }
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    $(document).ready(function () {
        var sideslider = $('.navbar-toggle');
        var sel2 = sideslider.attr('data-target-2');
        sideslider.click(function (event) {
            $(sel2).toggleClass('out');
        });
    });
</script>
<script>
    $('.precio_h').click(function () {
        $(".precio_hide").slideToggle();
    });
</script>